package com.ruoyi.system.controller;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.ActSuppliesHistorydata;
import com.ruoyi.system.domain.ActSuppliesImportTable;
import com.ruoyi.system.domain.ActSuppliesSixMinesSummaryTable;
import com.ruoyi.system.service.IActSuppliesCleaningRuleService;
import com.ruoyi.system.service.IActSuppliesHistorydataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 *  清洗规则Controller
 *
 * @author
 * @date 2023-08-30
 */
@RestController
@RequestMapping("/system/cleaningrule")
public class ActSuppliesCleaningRuleController extends BaseController
{
    @Autowired
    private IActSuppliesCleaningRuleService actSuppliesCleaningRuleService;

    @Autowired
    private IActSuppliesHistorydataService actSuppliesHistorydataService;


    /**
     * 获取所有历史数据
     */
    @PreAuthorize("@ss.hasPermi('system:cleaningrule:queryAll')")
    @GetMapping("/queryAll")
    public AjaxResult selectActSuppliesHistorydata()
    {
        List<ActSuppliesHistorydata> s = actSuppliesHistorydataService.selectActSuppliesHistorydata();
        return AjaxResult.success(s);
    }

    /**
     * 新增生成表
     */
    @PreAuthorize("@ss.hasPermi('system:cleaningrule:addActSuppliesSixMinesSummaryTable')")
    @Log(title = " 六矿数据汇总", businessType = BusinessType.INSERT)
    @PostMapping("/addActSuppliesSixMinesSummaryTable")
    public AjaxResult addActSuppliesSixMinesSummaryTable(@RequestBody ActSuppliesSixMinesSummaryTable actSuppliesSixMinesSummaryTable)
    {
        int i = actSuppliesCleaningRuleService.addActSuppliesSixMinesSummaryTable(actSuppliesSixMinesSummaryTable);
        int j = actSuppliesHistorydataService.updateActSuppliesHistorydataStatusById(actSuppliesSixMinesSummaryTable.gethId());
        return toAjax(i);
    }

    /**
     * 新增导入表
     */
    @PreAuthorize("@ss.hasPermi('system:cleaningrule:addActSuppliesImportTable')")
    @Log(title = " 新增导入表", businessType = BusinessType.INSERT)
    @PostMapping("/addActSuppliesImportTable")
    public AjaxResult addActSuppliesImportTable(@RequestBody ActSuppliesImportTable actSuppliesImportTable)
    {
        /*@RequestBody ActSuppliesImportTable actSuppliesImportTable*/
        int i = actSuppliesCleaningRuleService.addActSuppliesImportTable(actSuppliesImportTable);
        int j = actSuppliesHistorydataService.updateActSuppliesHistorydataStatusById(actSuppliesImportTable.gethId());


        return toAjax(i);
    }
}

